Bug 10269 - конфликт при установке
: конфликт при установке
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/subversion-tools)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-11-14 12:21 by
Modified: 2008-06-13 12:16 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-11-14 12:21:27
уж я не знаю кто тут крайний - subversion или kde, но при установке 
subverision-tools  вылезает вот такое.

file /usr/bin/svn-clean from install of subversion-tools-1.4.0-alt2 conflicts 
with file from package kdesdk-misc-3.5.5-alt1
E: Error while running transaction
------- Comment #1 From 2006-11-14 15:20:45 -------
Я бы перевесил на kde...
------- Comment #2 From 2006-11-22 20:26:03 -------
Оба скрипта написаны на Перле, но разными авторами, т.е. файл не дублируется.
Вариант из subversion-tools использует модуль SVN::Client, а в его отсутствие
--
вызов "svn status --no-ignore". Файл из kdesdk-misc -- только вызов "svn status
--no-ignore".
Предлагаю удалить svn-clean из kdesdk-misc как менее развитый, либо
переименовать в svnclean по аналогии с другими файлами из этого пакета:
svnbackport, svnlastlog и т.п.
------- Comment #3 From 2006-11-23 14:10:32 -------
kdesdk-misc-3.5.5-alt2
переименую в svnclean
------- Comment #4 From 2006-11-26 14:13:20 -------
kdesdk-misc-3.5.5-alt2 - fixed